diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mobility/model/rectangle.h ns-3.44/src/mobility/model/rectangle.h
--- ns-3.43/src/mobility/model/rectangle.h	2024-10-09 16:41:10.060656500 -0700
+++ ns-3.44/src/mobility/model/rectangle.h	2025-03-09 16:55:49.655372100 -0700
@@ -16,9 +16,9 @@
 {
 
 /**
- * \ingroup mobility
- * \brief a 2d rectangle
- * \see attribute_Rectangle
+ * @ingroup mobility
+ * @brief a 2d rectangle
+ * @see attribute_Rectangle
  */
 class Rectangle
 {
@@ -39,10 +39,10 @@
     };
 
     /**
-     * \param _xMin x coordinates of left boundary.
-     * \param _xMax x coordinates of right boundary.
-     * \param _yMin y coordinates of bottom boundary.
-     * \param _yMax y coordinates of top boundary.
+     * @param _xMin x coordinates of left boundary.
+     * @param _xMax x coordinates of right boundary.
+     * @param _yMin y coordinates of bottom boundary.
+     * @param _yMax y coordinates of top boundary.
      *
      * Create a rectangle.
      */
@@ -52,24 +52,24 @@
      */
     Rectangle();
     /**
-     * \param position the position to test.
-     * \return true if the input position is located within the rectangle, false otherwise.
+     * @param position the position to test.
+     * @return true if the input position is located within the rectangle, false otherwise.
      *
      * This method compares only the x and y coordinates of the input position.
      * It ignores the z coordinate.
      */
     bool IsInside(const Vector& position) const;
     /**
-     * \param position the position to test.
-     * \return true if the input position is located on the rectable border, false otherwise.
+     * @param position the position to test.
+     * @return true if the input position is located on the rectable border, false otherwise.
      *
      * This method compares only the x and y coordinates of the input position.
      * It ignores the z coordinate.
      */
     bool IsOnTheBorder(const Vector& position) const;
     /**
-     * \param position the position to test.
-     * \return the side of the rectangle the input position is closest to.
+     * @param position the position to test.
+     * @return the side of the rectangle the input position is closest to.
      *
      * This method compares only the x and y coordinates of the input position.
      * It ignores the z coordinate.
@@ -90,9 +90,9 @@
      */
     Side GetClosestSideOrCorner(const Vector& position) const;
     /**
-     * \param current the current position
-     * \param speed the current speed
-     * \return the intersection point between the rectangle and the current+speed vector.
+     * @param current the current position
+     * @param speed the current speed
+     * @return the intersection point between the rectangle and the current+speed vector.
      *
      * This method assumes that the current position is located _inside_
      * the rectangle and checks for this with an assert.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mobility/model/steady-state-random-waypoint-mobility-model.h ns-3.44/src/mobility/model/steady-state-random-waypoint-mobility-model.h
--- ns-3.43/src/mobility/model/steady-state-random-waypoint-mobility-model.h	2024-10-09 16:41:10.060656500 -0700
+++ ns-3.44/src/mobility/model/steady-state-random-waypoint-mobility-model.h	2025-03-09 16:55:49.655372100 -0700
@@ -19,8 +19,8 @@
 {
 
 /**
- * \ingroup mobility
- * \brief Steady-state random waypoint mobility model.
+ * @ingroup mobility
+ * @brief Steady-state random waypoint mobility model.
  *
  * This model based on random waypoint mobility (RWM) model for case when
  * speed, pause and position are uniformly distributed random variables.
@@ -47,7 +47,7 @@
   public:
     /**
      * Register this type with the TypeId system.
-     * \return the object TypeId
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     SteadyStateRandomWaypointMobilityModel();
@@ -66,7 +66,7 @@
     /**
      * Use provided destination to calculate travel delay, and schedule a
      * Start() event at that time.
-     * \param destination the destination to move to
+     * @param destination the destination to move to
      */
     void SteadyStateBeginWalk(const Vector& destination);
     /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mobility/model/waypoint.cc ns-3.44/src/mobility/model/waypoint.cc
--- ns-3.43/src/mobility/model/waypoint.cc	2024-10-09 16:41:10.060656500 -0700
+++ ns-3.44/src/mobility/model/waypoint.cc	2025-03-09 16:55:49.655372100 -0700
@@ -19,17 +19,17 @@
 }
 
 Waypoint::Waypoint()
-    : time(Seconds(0.0)),
+    : time(),
       position(0, 0, 0)
 {
 }
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the stream
- * \param waypoint the waypoint
- * \returns a reference to the stream
+ * @param os the stream
+ * @param waypoint the waypoint
+ * @returns a reference to the stream
  */
 std::ostream&
 operator<<(std::ostream& os, const Waypoint& waypoint)
@@ -39,11 +39,11 @@
 }
 
 /**
- * \brief Stream extraction operator.
+ * @brief Stream extraction operator.
  *
- * \param is the stream
- * \param waypoint the waypoint
- * \returns a reference to the stream
+ * @param is the stream
+ * @param waypoint the waypoint
+ * @returns a reference to the stream
  */
 std::istream&
 operator>>(std::istream& is, Waypoint& waypoint)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mobility/model/waypoint.h ns-3.44/src/mobility/model/waypoint.h
--- ns-3.43/src/mobility/model/waypoint.h	2024-10-09 16:41:10.060656500 -0700
+++ ns-3.44/src/mobility/model/waypoint.h	2025-03-09 16:55:49.655372100 -0700
@@ -17,16 +17,16 @@
 {
 
 /**
- * \ingroup mobility
- * \brief a (time, location) pair.
- * \see attribute_Waypoint
+ * @ingroup mobility
+ * @brief a (time, location) pair.
+ * @see attribute_Waypoint
  */
 class Waypoint
 {
   public:
     /**
-     * \param waypointTime time of waypoint.
-     * \param waypointPosition position of waypoint corresponding to the given time.
+     * @param waypointTime time of waypoint.
+     * @param waypointPosition position of waypoint corresponding to the given time.
      *
      * Create a waypoint.
      */
@@ -37,11 +37,11 @@
      */
     Waypoint();
     /**
-     * \brief The waypoint time
+     * @brief The waypoint time
      */
     Time time;
     /**
-     * \brief The position of the waypoint
+     * @brief The position of the waypoint
      */
     Vector position;
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mobility/model/waypoint-mobility-model.h ns-3.44/src/mobility/model/waypoint-mobility-model.h
--- ns-3.43/src/mobility/model/waypoint-mobility-model.h	2024-10-09 16:41:10.060656500 -0700
+++ ns-3.44/src/mobility/model/waypoint-mobility-model.h	2025-03-09 16:55:49.655372100 -0700
@@ -22,8 +22,8 @@
 {
 
 /**
- * \ingroup mobility
- * \brief Waypoint-based mobility model.
+ * @ingroup mobility
+ * @brief Waypoint-based mobility model.
  *
  * Each object determines its velocity and position at a given time
  * from a set of ns3::Waypoint objects.  Past waypoints are discarded
@@ -79,7 +79,7 @@
   public:
     /**
      * Register this type with the TypeId system.
-     * \return the object TypeId
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -90,7 +90,7 @@
     ~WaypointMobilityModel() override;
 
     /**
-     * \param waypoint waypoint to append to the object path.
+     * @param waypoint waypoint to append to the object path.
      *
      * Add a waypoint to the path of the object. The time must
      * be greater than the previous waypoint added, otherwise
@@ -102,14 +102,14 @@
 
     /**
      * Get the waypoint that this object is traveling towards.
-     * \returns The waypoint
+     * @returns The waypoint
      */
     Waypoint GetNextWaypoint() const;
 
     /**
      * Get the number of waypoints left for this object, excluding
      * the next one.
-     * \returns The number of waypoints left
+     * @returns The number of waypoints left
      */
     uint32_t WaypointsLeft() const;
 
@@ -130,59 +130,59 @@
      */
     virtual void Update() const;
     /**
-     * \brief The dispose method.
+     * @brief The dispose method.
      *
      * Subclasses must override this method.
      */
     void DoDispose() override;
     /**
-     * \brief Get current position.
-     * \return A vector with the current position of the node.
+     * @brief Get current position.
+     * @return A vector with the current position of the node.
      */
     Vector DoGetPosition() const override;
     /**
-     * \brief Sets a new position for the node
-     * \param position A vector to be added as the new position
+     * @brief Sets a new position for the node
+     * @param position A vector to be added as the new position
      */
     void DoSetPosition(const Vector& position) override;
     /**
-     * \brief Returns the current velocity of a node
-     * \return The velocity vector of a node.
+     * @brief Returns the current velocity of a node
+     * @return The velocity vector of a node.
      */
     Vector DoGetVelocity() const override;
 
   protected:
     /**
-     * \brief This variable is set to true if there are no waypoints in the std::deque
+     * @brief This variable is set to true if there are no waypoints in the std::deque
      */
     bool m_first;
     /**
-     * \brief If true, course change updates are only notified when position
+     * @brief If true, course change updates are only notified when position
      * is calculated.
      */
     bool m_lazyNotify;
     /**
-     * \brief If true, calling SetPosition with no waypoints creates a waypoint
+     * @brief If true, calling SetPosition with no waypoints creates a waypoint
      */
     bool m_initialPositionIsWaypoint;
     /**
-     * \brief The double ended queue containing the ns3::Waypoint objects
+     * @brief The double ended queue containing the ns3::Waypoint objects
      */
     mutable std::deque<Waypoint> m_waypoints;
     /**
-     * \brief The ns3::Waypoint currently being used
+     * @brief The ns3::Waypoint currently being used
      */
     mutable Waypoint m_current;
     /**
-     * \brief The next ns3::Waypoint in the deque
+     * @brief The next ns3::Waypoint in the deque
      */
     mutable Waypoint m_next;
     /**
-     * \brief The current velocity vector
+     * @brief The current velocity vector
      */
     mutable Vector m_velocity;
     /**
-     * \brief Update event
+     * @brief Update event
      */
     EventId m_event;
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mobility/test/box-line-intersection-test.cc ns-3.44/src/mobility/test/box-line-intersection-test.cc
--- ns-3.43/src/mobility/test/box-line-intersection-test.cc	2024-10-09 16:41:10.060656500 -0700
+++ ns-3.44/src/mobility/test/box-line-intersection-test.cc	2025-03-09 16:55:49.655372100 -0700
@@ -7,7 +7,7 @@
 
 #include "box-line-intersection-test.h"
 
-#include <ns3/simulator.h>
+#include "ns3/simulator.h"
 
 using namespace ns3;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mobility/test/box-line-intersection-test.h ns-3.44/src/mobility/test/box-line-intersection-test.h
--- ns-3.43/src/mobility/test/box-line-intersection-test.h	2024-10-09 16:41:10.060656500 -0700
+++ ns-3.44/src/mobility/test/box-line-intersection-test.h	2025-03-09 16:55:49.655372100 -0700
@@ -8,14 +8,14 @@
 #ifndef BOX_LINE_INTERSECTION_TEST_H
 #define BOX_LINE_INTERSECTION_TEST_H
 
-#include <ns3/box.h>
-#include <ns3/test.h>
-#include <ns3/vector.h>
+#include "ns3/box.h"
+#include "ns3/test.h"
+#include "ns3/vector.h"
 
 using namespace ns3;
 
 /**
- * \brief Test suite for
+ * @brief Test suite for
  *
  * \sa ns3::BoxLineIntersectionTestSuite
  */
@@ -29,29 +29,29 @@
 };
 
 /**
- * \brief TestCase to check the box line intersection
+ * @brief TestCase to check the box line intersection
  */
 class BoxLineIntersectionTestCase : public TestCase
 {
   public:
     /**
-     * \brief Create BoxLineIntersectionTestCase
-     * \param indexPos1 Index of the first position to generate
-     * \param indexPos2 Index of the second position to generate
-     * \param box The 3D box
-     * \param intersect The expected result of the test. True for intersection,
+     * @brief Create BoxLineIntersectionTestCase
+     * @param indexPos1 Index of the first position to generate
+     * @param indexPos2 Index of the second position to generate
+     * @param box The 3D box
+     * @param intersect The expected result of the test. True for intersection,
      *        false otherwise
      */
     BoxLineIntersectionTestCase(uint16_t indexPos1, uint16_t indexPos2, Box box, bool intersect);
     /**
-     * \brief Builds the test name string based on provided parameter values
-     * \param indexPos1 Index of the first position to generate
-     * \param indexPos2 Index of the second position to generate
-     * \param box The 3D box
-     * \param intersect The expected result of the test. True for intersection,
+     * @brief Builds the test name string based on provided parameter values
+     * @param indexPos1 Index of the first position to generate
+     * @param indexPos2 Index of the second position to generate
+     * @param box The 3D box
+     * @param intersect The expected result of the test. True for intersection,
      *        false otherwise
      *
-     * \return The name string
+     * @return The name string
      */
     std::string BuildNameString(uint16_t indexPos1, uint16_t indexPos2, Box box, bool intersect);
     /**
@@ -61,17 +61,17 @@
 
   private:
     /**
-     * \brief Setup the simulation according to the configuration set by the
+     * @brief Setup the simulation according to the configuration set by the
      *        class constructor, run it, and verify the result.
      */
     void DoRun() override;
     /**
-     * \brief Create the position as per the given index
+     * @brief Create the position as per the given index
      *
-     * \param index The index of the position to be created
-     * \param boxHeight The height if the box. It is used to place the position
+     * @param index The index of the position to be created
+     * @param boxHeight The height if the box. It is used to place the position
      *        above the height of the box
-     * \returns The ns-3 3D Vector specifying the position
+     * @returns The ns-3 3D Vector specifying the position
      */
     Vector CreatePosition(uint16_t index, double boxHeight);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mobility/test/geocentric-topocentric-conversion-test.cc ns-3.44/src/mobility/test/geocentric-topocentric-conversion-test.cc
--- ns-3.43/src/mobility/test/geocentric-topocentric-conversion-test.cc	2024-10-09 16:41:10.060656500 -0700
+++ ns-3.44/src/mobility/test/geocentric-topocentric-conversion-test.cc	2025-03-09 16:55:49.659372000 -0700
@@ -6,10 +6,10 @@
  * Author: Matteo Pagin <mattpagg@gmail.com>
  */
 
-#include <ns3/angles.h>
-#include <ns3/geographic-positions.h>
-#include <ns3/log.h>
-#include <ns3/test.h>
+#include "ns3/angles.h"
+#include "ns3/geographic-positions.h"
+#include "ns3/log.h"
+#include "ns3/test.h"
 
 NS_LOG_COMPONENT_DEFINE("GeocentricTopocentricConversionTest");
 
@@ -352,9 +352,9 @@
 using namespace ns3;
 
 /**
- * \ingroup mobility-test
+ * @ingroup mobility-test
  *
- * \brief Geographic to/from Topocentric Test Case
+ * @brief Geographic to/from Topocentric Test Case
  *
  * This test verifies the accuracy of the GeographicToTopocentricCoordinates and
  * TopocentricToGeographicCoordinates methods in the GeographicPositions class,
@@ -518,9 +518,9 @@
 }
 
 /**
- * \ingroup mobility-test
+ * @ingroup mobility-test
  *
- * \brief Geographic cartesian <--> Topocentric conversion test
+ * @brief Geographic cartesian <--> Topocentric conversion test
  */
 class GeoToAndFromTopocentricTestSuite : public TestSuite
 {
@@ -556,7 +556,7 @@
 }
 
 /**
- * \ingroup mobility-test
+ * @ingroup mobility-test
  * Static variable for test initialization
  */
 static GeoToAndFromTopocentricTestSuite g_GeoToAndFromTopocentricTestSuite;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mobility/test/geo-to-cartesian-test.cc ns-3.44/src/mobility/test/geo-to-cartesian-test.cc
--- ns-3.43/src/mobility/test/geo-to-cartesian-test.cc	2024-10-09 16:41:10.060656500 -0700
+++ ns-3.44/src/mobility/test/geo-to-cartesian-test.cc	2025-03-09 16:55:49.659372000 -0700
@@ -6,9 +6,9 @@
  * Author: Benjamin Cizdziel <ben.cizdziel@gmail.com>
  */
 
-#include <ns3/geographic-positions.h>
-#include <ns3/log.h>
-#include <ns3/test.h>
+#include "ns3/geographic-positions.h"
+#include "ns3/log.h"
+#include "ns3/test.h"
 
 NS_LOG_COMPONENT_DEFINE("GeoToCartesianTest");
 
@@ -1474,15 +1474,15 @@
 };
 
 /**
- * \ingroup mobility
- * \ingroup tests
- * \defgroup mobility-test mobility module tests
+ * @ingroup mobility
+ * @ingroup tests
+ * @defgroup mobility-test mobility module tests
  */
 
 /**
- * \ingroup mobility-test
+ * @ingroup mobility-test
  *
- * \brief Geo To Cartesian Test Case
+ * @brief Geo To Cartesian Test Case
  *
  * This test verifies the accuracy of the GeographicToCartesianCoordinates()
  * method in the GeographicPositions class, which converts earth
@@ -1501,11 +1501,11 @@
     /**
      * Constructor
      *
-     * \param latitude latitude (deg)
-     * \param longitude longitude (deg)
-     * \param altitude altitude (m)
-     * \param sphType sphere type
-     * \param i index
+     * @param latitude latitude (deg)
+     * @param longitude longitude (deg)
+     * @param altitude altitude (m)
+     * @param sphType sphere type
+     * @param i index
      */
     GeoToCartesianTestCase(double latitude,
                            double longitude,
@@ -1519,11 +1519,11 @@
 
     /**
      * Name function
-     * \param latitude the latitude (deg)
-     * \param longitude the longitude (deg)
-     * \param altitude the altitude (m)
-     * \param sphType the sphere type
-     * \returns the name string
+     * @param latitude the latitude (deg)
+     * @param longitude the longitude (deg)
+     * @param altitude the altitude (m)
+     * @param sphType the sphere type
+     * @returns the name string
      */
     static std::string Name(double latitude,
                             double longitude,
@@ -1662,9 +1662,9 @@
 }
 
 /**
- * \ingroup mobility-test
+ * @ingroup mobility-test
  *
- * \brief Cartesian to Geo Test Case
+ * @brief Cartesian to Geo Test Case
  *
  * This test verifies the accuracy of the CartesianToGeographicCoordinates()
  * method in the GeographicPositions class, which converts earth
@@ -1679,11 +1679,11 @@
     /**
      * Constructor
      *
-     * \param latitude latitude (deg)
-     * \param longitude longitude (deg)
-     * \param altitude altitude (m)
-     * \param sphType sphere type
-     * \param i index
+     * @param latitude latitude (deg)
+     * @param longitude longitude (deg)
+     * @param altitude altitude (m)
+     * @param sphType sphere type
+     * @param i index
      */
     CartesianToGeoTestCase(double latitude,
                            double longitude,
@@ -1697,11 +1697,11 @@
 
     /**
      * Name function
-     * \param latitude the latitude (deg)
-     * \param longitude the longitude (deg)
-     * \param altitude the altitude (m)
-     * \param sphType the sphere type
-     * \returns the name string
+     * @param latitude the latitude (deg)
+     * @param longitude the longitude (deg)
+     * @param altitude the altitude (m)
+     * @param sphType the sphere type
+     * @returns the name string
      */
     static std::string Name(double latitude,
                             double longitude,
@@ -1778,9 +1778,9 @@
 }
 
 /**
- * \ingroup mobility-test
+ * @ingroup mobility-test
  *
- * \brief Geo To Cartesian Test Suite
+ * @brief Geo To Cartesian Test Suite
  */
 class GeoToCartesianTestSuite : public TestSuite
 {
@@ -1864,7 +1864,7 @@
 }
 
 /**
- * \ingroup mobility-test
+ * @ingroup mobility-test
  * Static variable for test initialization
  */
 static GeoToCartesianTestSuite g_GeoToCartesianTestSuite;
